org.richfaces.taglib

## Class MenuItemTag

- java.lang.Object
- - javax.faces.webapp.UIComponentTagBase
  - - javax.faces.webapp.UIComponentClassicTagBase
    - - javax.faces.webapp.UIComponentELTag
      - - org.richfaces.webapp.taglib.UIComponentELTagBase
        - - org.ajax4jsf.webapp.taglib.UIComponentTagBase
          - - org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
            - - org.richfaces.taglib.MenuItemTag

- All Implemented Interfaces:
    javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

      public class MenuItemTag
      extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

- - ### Field Summary

    - ### Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `bodyContent, pageContext, UNIQUE_ID_PREFIX`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

      `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MenuItemTag()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComponentType()`
    `java.lang.String` | `getRendererType()`
    `void` | `release()`
    `void` | `setAction(javax.el.MethodExpression __action)` MethodBinding pointing at the application action to be invoked, if this UIComponent is activated by you, during the Apply Request Values or Invoke Application phase of the request processing lifecycle, depending on the value of the immediate property Setter for action
    `void` | `setActionListener(javax.el.MethodExpression __actionListener)` MethodBinding pointing at method accepting an ActionEvent with return type void Setter for actionListener
    `void` | `setAjaxSingle(javax.el.ValueExpression __ajaxSingle)` boolean attribute which provides possibility to limit JSF tree processing(decoding, conversion/validation, value applying) to the component which send the request only Setter for ajaxSingle
    `void` | `setBypassUpdates(javax.el.ValueExpression __bypassUpdates)` If "true", after process validations phase it skips updates of model beans on a force render response.
    `void` | `setData(javax.el.ValueExpression __data)` Serialized (on default with JSON) data passed on the client by a developer on AJAX request.
    `void` | `setDisabled(javax.el.ValueExpression __disabled)` If "true" sets state of the item to disabled state.
    `void` | `setEventsQueue(javax.el.ValueExpression __eventsQueue)` Name of requests queue to avoid send next request before complete other from same event.
    `void` | `setFocus(javax.el.ValueExpression __focus)` id of element to set focus after request completed on client side Setter for focus
    `void` | `setIcon(javax.el.ValueExpression __icon)` Path to the icon to be displayed for the enabled item state Setter for icon
    `void` | `setIconClass(javax.el.ValueExpression __iconClass)` Class to be applied to icon element Setter for iconClass
    `void` | `setIconDisabled(javax.el.ValueExpression __iconDisabled)` Path to the icon to be displayed for the disabled item state.
    `void` | `setIconStyle(javax.el.ValueExpression __iconStyle)` CSS style rules to be applied to icon element Setter for iconStyle
    `void` | `setIgnoreDupResponses(javax.el.ValueExpression __ignoreDupResponses)` Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already.
    `void` | `setImmediate(javax.el.ValueExpression __immediate)` True means, that the default ActionListener should be executed immediately (i.e.
    `void` | `setLabelClass(javax.el.ValueExpression __labelClass)` Class to be applied to label element Setter for labelClass
    `void` | `setLimitToList(javax.el.ValueExpression __limitToList)` If "true", then of all AJAX-rendered on the page components only those will be updated, which ID's are passed to the "reRender" attribute of the describable component.
    `void` | `setOnbeforedomupdate(javax.el.ValueExpression __onbeforedomupdate)` The client side script method to be called before DOM is updated Setter for onbeforedomupdate
    `void` | `setOncomplete(javax.el.ValueExpression __oncomplete)` The client side script method to be called after the request is completed Setter for oncomplete
    `void` | `setOnselect(javax.el.ValueExpression __onselect)` HTML: script expression; The onselect event occurs when you select some menu item Setter for onselect
    `void` | `setProcess(javax.el.ValueExpression __process)` Id['s] (in format of call UIComponent.findComponent()) of components, processed at the phases 2-5 in case of AjaxRequest caused by this component.
    `protected void` | `setProperties(javax.faces.component.UIComponent component)`
    `void` | `setRequestDelay(javax.el.ValueExpression __requestDelay)` Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send.
    `void` | `setReRender(javax.el.ValueExpression __reRender)` Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component.
    `void` | `setSelectClass(javax.el.ValueExpression __selectClass)` Class to be applied to selected items Setter for selectClass
    `void` | `setSelectStyle(javax.el.ValueExpression __selectStyle)` CSS style rules to be applied to selected items Setter for selectStyle
    `void` | `setSimilarityGroupingId(javax.el.ValueExpression __similarityGroupingId)` If there are any component requests with identical IDs then these requests will be grouped.
    `void` | `setStatus(javax.el.ValueExpression __status)` ID (in format of call UIComponent.findComponent()) of Request status component Setter for status
    `void` | `setSubmitMode(javax.el.ValueExpression __submitMode)` Sets the submission mode.
    `void` | `setTarget(javax.el.ValueExpression __target)` Name of a frame where the resource retrieved via this hyperlink is to be displayed Setter for target
    `void` | `setTimeout(javax.el.ValueExpression __timeout)` Response waiting time on a particular request.
    `void` | `setValue(javax.el.ValueExpression __value)` The current value for this component Setter for value

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

      `setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase

      `getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

    - ### Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase

      `setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

    - ### Methods inherited from class javax.faces.webapp.UIComponentELTag

      `createComponent, getELContext, hasBinding, setBinding, setRendered`

    - ### Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

      `doEndTag, doStartTag, getParent, setPageContext, setParent`

- - ### Constructor Detail

    - #### MenuItemTag

          public MenuItemTag()

  - ### Method Detail

    - #### setAction

          public void setAction(javax.el.MethodExpression __action)

      MethodBinding pointing at the application action to be invoked, if this UIComponent is activated by you, during the Apply Request Values or Invoke Application phase of the request processing lifecycle, depending on the value of the immediate property Setter for action
      Parameters:
        `action` - - new value

    - #### setActionListener

          public void setActionListener(javax.el.MethodExpression __actionListener)

      MethodBinding pointing at method accepting an ActionEvent with return type void Setter for actionListener
      Parameters:
        `actionListener` - - new value

    - #### setAjaxSingle

          public void setAjaxSingle(javax.el.ValueExpression __ajaxSingle)

      boolean attribute which provides possibility to limit JSF tree processing(decoding, conversion/validation, value applying) to the component which send the request only Setter for ajaxSingle
      Parameters:
        `ajaxSingle` - - new value

    - #### setBypassUpdates

          public void setBypassUpdates(javax.el.ValueExpression __bypassUpdates)

      If "true", after process validations phase it skips updates of model beans on a force render response. It can be used for validating components input Setter for bypassUpdates
      Parameters:
        `bypassUpdates` - - new value

    - #### setData

          public void setData(javax.el.ValueExpression __data)

      Serialized (on default with JSON) data passed on the client by a developer on AJAX request. It's accessible via "data.foo" syntax Setter for data
      Parameters:
        `data` - - new value

    - #### setDisabled

          public void setDisabled(javax.el.ValueExpression __disabled)

      If "true" sets state of the item to disabled state. Default value is "false". Setter for disabled
      Parameters:
        `disabled` - - new value

    - #### setEventsQueue

          public void setEventsQueue(javax.el.ValueExpression __eventsQueue)

      Name of requests queue to avoid send next request before complete other from same event. Can be used to reduce number of requests of frequently events (key press, mouse move etc.) Setter for eventsQueue
      Parameters:
        `eventsQueue` - - new value

    - #### setFocus

          public void setFocus(javax.el.ValueExpression __focus)

      id of element to set focus after request completed on client side Setter for focus
      Parameters:
        `focus` - - new value

    - #### setIcon

          public void setIcon(javax.el.ValueExpression __icon)

      Path to the icon to be displayed for the enabled item state Setter for icon
      Parameters:
        `icon` - - new value

    - #### setIconClass

          public void setIconClass(javax.el.ValueExpression __iconClass)

      Class to be applied to icon element Setter for iconClass
      Parameters:
        `iconClass` - - new value

    - #### setIconDisabled

          public void setIconDisabled(javax.el.ValueExpression __iconDisabled)

      Path to the icon to be displayed for the disabled item state. Setter for iconDisabled
      Parameters:
        `iconDisabled` - - new value

    - #### setIconStyle

          public void setIconStyle(javax.el.ValueExpression __iconStyle)

      CSS style rules to be applied to icon element Setter for iconStyle
      Parameters:
        `iconStyle` - - new value

    - #### setIgnoreDupResponses

          public void setIgnoreDupResponses(javax.el.ValueExpression __ignoreDupResponses)

      Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Setter for ignoreDupResponses
      Parameters:
        `ignoreDupResponses` - - new value

    - #### setImmediate

          public void setImmediate(javax.el.ValueExpression __immediate)

      True means, that the default ActionListener should be executed immediately (i.e. during Apply Request Values phase of the request processing lifecycle), rather than waiting until the Invoke Application phase Setter for immediate
      Parameters:
        `immediate` - - new value

    - #### setLabelClass

          public void setLabelClass(javax.el.ValueExpression __labelClass)

      Class to be applied to label element Setter for labelClass
      Parameters:
        `labelClass` - - new value

    - #### setLimitToList

          public void setLimitToList(javax.el.ValueExpression __limitToList)

      If "true", then of all AJAX-rendered on the page components only those will be updated, which ID's are passed to the "reRender" attribute of the describable component. "false"-the default value-means that all components with ajaxRendered="true" will be updated. Setter for limitToList
      Parameters:
        `limitToList` - - new value

    - #### setOnbeforedomupdate

          public void setOnbeforedomupdate(javax.el.ValueExpression __onbeforedomupdate)

      The client side script method to be called before DOM is updated Setter for onbeforedomupdate
      Parameters:
        `onbeforedomupdate` - - new value

    - #### setOncomplete

          public void setOncomplete(javax.el.ValueExpression __oncomplete)

      The client side script method to be called after the request is completed Setter for oncomplete
      Parameters:
        `oncomplete` - - new value

    - #### setOnselect

          public void setOnselect(javax.el.ValueExpression __onselect)

      HTML: script expression; The onselect event occurs when you select some menu item Setter for onselect
      Parameters:
        `onselect` - - new value

    - #### setProcess

          public void setProcess(javax.el.ValueExpression __process)

      Id['s] (in format of call UIComponent.findComponent()) of components, processed at the phases 2-5 in case of AjaxRequest caused by this component. Can be single id, comma-separated list of Id's, or EL Expression with array or Collection Setter for process
      Parameters:
        `process` - - new value

    - #### setReRender

          public void setReRender(javax.el.ValueExpression __reRender)

      Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component. Can be single id, comma-separated list of Id's, or EL Expression with array or Collection Setter for reRender
      Parameters:
        `reRender` - - new value

    - #### setRequestDelay

          public void setRequestDelay(javax.el.ValueExpression __requestDelay)

      Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send. When the delay time is over, the request will be sent to the server or removed if the newest 'similar' request is in a queue already Setter for requestDelay
      Parameters:
        `requestDelay` - - new value

    - #### setSelectClass

          public void setSelectClass(javax.el.ValueExpression __selectClass)

      Class to be applied to selected items Setter for selectClass
      Parameters:
        `selectClass` - - new value

    - #### setSelectStyle

          public void setSelectStyle(javax.el.ValueExpression __selectStyle)

      CSS style rules to be applied to selected items Setter for selectStyle
      Parameters:
        `selectStyle` - - new value

    - #### setSimilarityGroupingId

          public void setSimilarityGroupingId(javax.el.ValueExpression __similarityGroupingId)

      If there are any component requests with identical IDs then these requests will be grouped. Setter for similarityGroupingId
      Parameters:
        `similarityGroupingId` - - new value

    - #### setStatus

          public void setStatus(javax.el.ValueExpression __status)

      ID (in format of call UIComponent.findComponent()) of Request status component Setter for status
      Parameters:
        `status` - - new value

    - #### setSubmitMode

          public void setSubmitMode(javax.el.ValueExpression __submitMode)

      Sets the submission mode. Possible values are "ajax", "server", "none". Default value is "server". Setter for submitMode
      Parameters:
        `submitMode` - - new value

    - #### setTarget

          public void setTarget(javax.el.ValueExpression __target)

      Name of a frame where the resource retrieved via this hyperlink is to be displayed Setter for target
      Parameters:
        `target` - - new value

    - #### setTimeout

          public void setTimeout(javax.el.ValueExpression __timeout)

      Response waiting time on a particular request. If a response is not received during this time, the request is aborted Setter for timeout
      Parameters:
        `timeout` - - new value

    - #### setValue

          public void setValue(javax.el.ValueExpression __value)

      The current value for this component Setter for value
      Parameters:
        `value` - - new value

    - #### release

          public void release()

      Specified by:
        `release` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

    - #### setProperties

          protected void setProperties(javax.faces.component.UIComponent component)

      Overrides:
        `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

    - #### getComponentType

          public java.lang.String getComponentType()

      Specified by:
        `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

    - #### getRendererType

          public java.lang.String getRendererType()

      Specified by:
        `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

Copyright © 2013. All Rights Reserved.